Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsa+phstat/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsa+phstat/chem_gasphase_mod.f90	(revision 3779)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsa+phstat/chem_gasphase_mod.f90	(revision 3780)
@@ -65,4 +65,5 @@
 !         ,REQ_MCFCT,IP_MAX,jname
 
+  PUBLIC :: cs_mech
   PUBLIC :: eqn_names, phot_names, spc_names
   PUBLIC :: nmaxfixsteps
@@ -81,4 +82,5 @@
   PUBLIC :: chem_gasphase_integrate
   PUBLIC :: initialize_kpp_ctrl
+  PUBLIC :: get_mechanismname
 
 ! END OF MODULE HEADER TEMPLATE
@@ -113,6 +115,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Fri Nov 30 13:52:20 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -189,6 +191,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Fri Nov 30 13:52:20 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -244,4 +246,6 @@
   REAL(kind=dp):: fakt
 
+! CS_MECH for check of mechanism name with namelist
+  CHARACTER(len=30):: cs_mech
 
 ! INLINED global variable declarations
@@ -264,6 +268,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Fri Nov 30 13:52:20 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -308,6 +312,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Fri Nov 30 13:52:20 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -368,6 +372,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Fri Nov 30 13:52:20 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -394,6 +398,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Fri Nov 30 13:52:20 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -452,6 +456,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Fri Nov 30 13:52:20 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -479,6 +483,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Fri Nov 30 13:52:20 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -506,6 +510,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Fri Nov 30 13:52:20 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -535,6 +539,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Fri Nov 30 13:52:20 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -561,6 +565,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Fri Nov 30 13:52:20 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -667,4 +671,8 @@
     MODULE PROCEDURE   kppdecomp
   END INTERFACE        kppdecomp
+ 
+  INTERFACE            get_mechanismname
+    MODULE PROCEDURE   get_mechanismname
+  END INTERFACE        get_mechanismname
  
   INTERFACE            chem_gasphase_integrate
@@ -2262,4 +2270,15 @@
   END SUBROUTINE kppdecomp                                            
  
+SUBROUTINE get_mechanismname                                        
+                                                                    
+  IMPLICIT NONE                                                     
+
+! Set cs_mech for check with mechanism name from namelist
+    cs_mech = 'salsa+phstat'
+                                                                    
+  RETURN                                                            
+END SUBROUTINE get_mechanismname                                    
+                                                                    
+ 
 SUBROUTINE chem_gasphase_integrate (time_step_len, conc, tempi, qvapi, fakti, photo, ierrf, xnacc, xnrej, istatus, l_debug, pe, &
                      icntrl_i, rcntrl_i) 
@@ -2347,5 +2366,5 @@
                                                                     
   RETURN                                                            
-END SUBROUTINE chem_gasphase_integrate                                        
+END SUBROUTINE chem_gasphase_integrate                              
 
 END MODULE chem_gasphase_mod
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsa+simple/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsa+simple/chem_gasphase_mod.f90	(revision 3779)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsa+simple/chem_gasphase_mod.f90	(revision 3780)
@@ -65,4 +65,5 @@
 !         ,REQ_MCFCT,IP_MAX,jname
 
+  PUBLIC :: cs_mech
   PUBLIC :: eqn_names, phot_names, spc_names
   PUBLIC :: nmaxfixsteps
@@ -81,4 +82,5 @@
   PUBLIC :: chem_gasphase_integrate
   PUBLIC :: initialize_kpp_ctrl
+  PUBLIC :: get_mechanismname
 
 ! END OF MODULE HEADER TEMPLATE
@@ -113,6 +115,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Thu Dec 20 14:58:04 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -201,6 +203,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Thu Dec 20 14:58:04 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -254,4 +256,6 @@
   REAL(kind=dp):: fakt
 
+! CS_MECH for check of mechanism name with namelist
+  CHARACTER(len=30):: cs_mech
 
 ! INLINED global variable declarations
@@ -274,6 +278,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Thu Dec 20 14:58:04 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -326,6 +330,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Thu Dec 20 14:58:04 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -400,6 +404,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Thu Dec 20 14:58:04 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -426,6 +430,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Thu Dec 20 14:58:04 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -484,6 +488,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Thu Dec 20 14:58:04 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -511,6 +515,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Thu Dec 20 14:58:04 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -538,6 +542,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Thu Dec 20 14:58:04 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -567,6 +571,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Thu Dec 20 14:58:04 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -593,6 +597,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Thu Dec 20 14:58:04 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -699,4 +703,8 @@
     MODULE PROCEDURE   kppdecomp
   END INTERFACE        kppdecomp
+ 
+  INTERFACE            get_mechanismname
+    MODULE PROCEDURE   get_mechanismname
+  END INTERFACE        get_mechanismname
  
   INTERFACE            chem_gasphase_integrate
@@ -2453,4 +2461,15 @@
   END SUBROUTINE kppdecomp                                            
  
+SUBROUTINE get_mechanismname                                        
+                                                                    
+  IMPLICIT NONE                                                     
+
+! Set cs_mech for check with mechanism name from namelist
+    cs_mech = 'salsa+simple'
+                                                                    
+  RETURN                                                            
+END SUBROUTINE get_mechanismname                                    
+                                                                    
+ 
 SUBROUTINE chem_gasphase_integrate (time_step_len, conc, tempi, qvapi, fakti, photo, ierrf, xnacc, xnrej, istatus, l_debug, pe, &
                      icntrl_i, rcntrl_i) 
@@ -2538,5 +2557,5 @@
                                                                     
   RETURN                                                            
-END SUBROUTINE chem_gasphase_integrate                                        
+END SUBROUTINE chem_gasphase_integrate                              
 
 END MODULE chem_gasphase_mod
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsagas/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsagas/chem_gasphase_mod.f90	(revision 3779)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsagas/chem_gasphase_mod.f90	(revision 3780)
@@ -65,4 +65,5 @@
 !         ,REQ_MCFCT,IP_MAX,jname
 
+  PUBLIC :: cs_mech
   PUBLIC :: eqn_names, phot_names, spc_names
   PUBLIC :: nmaxfixsteps
@@ -81,4 +82,5 @@
   PUBLIC :: chem_gasphase_integrate
   PUBLIC :: initialize_kpp_ctrl
+  PUBLIC :: get_mechanismname
 
 ! END OF MODULE HEADER TEMPLATE
@@ -113,6 +115,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -191,6 +193,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -239,4 +241,6 @@
   REAL(kind=dp):: fakt
 
+! CS_MECH for check of mechanism name with namelist
+  CHARACTER(len=30):: cs_mech
 
 ! INLINED global variable declarations
@@ -259,6 +263,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -303,6 +307,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -367,6 +371,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -393,6 +397,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -451,6 +455,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -478,6 +482,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -505,6 +509,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -534,6 +538,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -560,6 +564,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:51 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -666,4 +670,8 @@
     MODULE PROCEDURE   kppdecomp
   END INTERFACE        kppdecomp
+ 
+  INTERFACE            get_mechanismname
+    MODULE PROCEDURE   get_mechanismname
+  END INTERFACE        get_mechanismname
  
   INTERFACE            chem_gasphase_integrate
@@ -2255,4 +2263,15 @@
   END SUBROUTINE kppdecomp                                            
  
+SUBROUTINE get_mechanismname                                        
+                                                                    
+  IMPLICIT NONE                                                     
+
+! Set cs_mech for check with mechanism name from namelist
+    cs_mech = 'salsagas'
+                                                                    
+  RETURN                                                            
+END SUBROUTINE get_mechanismname                                    
+                                                                    
+ 
 SUBROUTINE chem_gasphase_integrate (time_step_len, conc, tempi, qvapi, fakti, photo, ierrf, xnacc, xnrej, istatus, l_debug, pe, &
                      icntrl_i, rcntrl_i) 
@@ -2340,5 +2359,5 @@
                                                                     
   RETURN                                                            
-END SUBROUTINE chem_gasphase_integrate                                        
+END SUBROUTINE chem_gasphase_integrate                              
 
 END MODULE chem_gasphase_mod
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/chem_gasphase_mod.f90	(revision 3779)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/chem_gasphase_mod.f90	(revision 3780)
@@ -65,4 +65,5 @@
 !         ,REQ_MCFCT,IP_MAX,jname
 
+  PUBLIC :: cs_mech
   PUBLIC :: eqn_names, phot_names, spc_names
   PUBLIC :: nmaxfixsteps
@@ -81,4 +82,5 @@
   PUBLIC :: chem_gasphase_integrate
   PUBLIC :: initialize_kpp_ctrl
+  PUBLIC :: get_mechanismname
 
 ! END OF MODULE HEADER TEMPLATE
@@ -113,6 +115,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Thu Dec 20 14:57:44 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -197,6 +199,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Thu Dec 20 14:57:44 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -244,4 +246,6 @@
   REAL(kind=dp):: fakt
 
+! CS_MECH for check of mechanism name with namelist
+  CHARACTER(len=30):: cs_mech
 
 ! INLINED global variable declarations
@@ -264,6 +268,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Thu Dec 20 14:57:44 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -314,6 +318,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Thu Dec 20 14:57:44 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -383,6 +387,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Thu Dec 20 14:57:44 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -409,6 +413,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Thu Dec 20 14:57:44 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -467,6 +471,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Thu Dec 20 14:57:44 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -494,6 +498,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Thu Dec 20 14:57:44 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -521,6 +525,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Thu Dec 20 14:57:44 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -550,6 +554,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Thu Dec 20 14:57:44 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -576,6 +580,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Thu Dec 20 14:57:44 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181220/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:52 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -682,4 +686,8 @@
     MODULE PROCEDURE   kppdecomp
   END INTERFACE        kppdecomp
+ 
+  INTERFACE            get_mechanismname
+    MODULE PROCEDURE   get_mechanismname
+  END INTERFACE        get_mechanismname
  
   INTERFACE            chem_gasphase_integrate
@@ -2405,4 +2413,15 @@
   END SUBROUTINE kppdecomp                                            
  
+SUBROUTINE get_mechanismname                                        
+                                                                    
+  IMPLICIT NONE                                                     
+
+! Set cs_mech for check with mechanism name from namelist
+    cs_mech = 'simple'
+                                                                    
+  RETURN                                                            
+END SUBROUTINE get_mechanismname                                    
+                                                                    
+ 
 SUBROUTINE chem_gasphase_integrate (time_step_len, conc, tempi, qvapi, fakti, photo, ierrf, xnacc, xnrej, istatus, l_debug, pe, &
                      icntrl_i, rcntrl_i) 
@@ -2490,5 +2509,5 @@
                                                                     
   RETURN                                                            
-END SUBROUTINE chem_gasphase_integrate                                        
+END SUBROUTINE chem_gasphase_integrate                              
 
 END MODULE chem_gasphase_mod
